/*
 * Copyright (c) 2004, 2005, 2006, 2007, 2008
 *	Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: sig.h,v 1.2 2008/01/03 12:27:44 loos-br Exp $
 */

#ifndef SIG_H
#define SIG_H

void sig_catch(int sig, void (*f)());
void sig_block(int sig);
void sig_unblock(int sig);
void sig_blocknone(void);
void sig_pipeignore(void);
void sig_pipedefault(void);
void sig_miscignore(void);
void sig_alarmblock(void);
void sig_alarmunblock(void);
void sig_alarmcatch(void (*f)());
void sig_alarmdefault(void);
void sig_bugcatch(void (*f)());

#endif

